<template>

    <div class=" justify-center column" style="height: 300px;">
        <div class="row justify-center items-center">
            <div class="col-lg-12 col-12 q-gutter-md column items-center">

                <div class="text-h4" v-if="!Verified">
                    Please verify your email
                </div>
                <div v-else class="text-h4">
                    Verification Successful
                </div>
                <div class="text-subtitle1" v-if="!Verified">
                    A verification email has been sent to
                    <span class="text-primary"> {{ Email }}</span>
                </div>
                <div v-else class="text-subtitle1">
                    Click next to continue
                </div>
                <q-btn :color="Color" :icon="Icon" :loading="loading" @click="CheckUser" :label="buttonText">

                    <template v-slot:loading>
                        <q-spinner-gears class="on-left"/>
                        Checking...
                    </template>
                </q-btn>
            </div>
        </div>
    </div>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Vue} from 'vue-property-decorator';


@Component
export default class VerifyEmail extends Vue {

    loading = false;

    get Email(): string {
        return this.$auth.user?.email ?? "no email found";
    }

    async CheckUser() {
        this.loading = true;
        await this.$auth.UpdateUser();
        this.loading = false;
    }


    get Verified(): boolean {
        return this.$auth.user?.email_verified ?? false;
    }

    get Icon(): string {
        return this.Verified ? "icofont-check-alt" : "icofont-refresh";
    }

    get Color(): string {
        return this.Verified ? "positive" : "negative";
    }

    get buttonText() {
        return this.Verified ? 'Verified' : 'Check Again';
    }


}
</script>
